
Katello - Bug #5917

Content Search won't show any results and just spins

05/23/2014 06:54 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1100898 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1100898

1) Create a custom repo

2) sync it

3) Go to Content Search

4) Search for Packages

5) Note endless spinner

Associated revisions

Revision b9e7ba57 - 05/23/2014 07:04 PM - Partha Aji

Fixes #5917 - Content search ambiguous SQL id error

Revision 80064104 - 05/23/2014 07:41 PM - Partha Aji

Merge pull request #4152 from parthaa/sql-fix

Fixes #5917 - Content search ambiguous SQL id error

History

#1 - 05/23/2014 06:55 PM - Partha Aji

- Triaged set to No

Associated Stacktrace

t_search"=>{"repos"=>{"search"=>""}, "packages"=>{"search"=>"*"}, "content_type"=>"packages", "mode"=>"all", "environments"=>[1]}}

PGError: ERROR:  column reference "id" is ambiguous

LINE 1: SELECT id FROM "katello_repositories" INNER JOIN "katello_pr...

^

: SELECT id FROM "katello_repositories" INNER JOIN "katello_products" ON "katello_products"."id" = "katello_repositories"."product_id" INNER

JOIN "katello_content_view_versions" ON "katello_content_view_versions"."id" = "katello_repositories"."content_view_version_id" WHERE

"katello_content_view_versions"."content_view_id" IN (1) AND "katello_repositories"."product_id" IN (1) ORDER BY katello_repositories.name ASC

(ActiveRecord::StatementInvalid)

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:1158:in `async_exec'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:1158:in `exec_no_cache'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:664:in `block in

exec_query'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:280:in `block in log'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:275:in `log'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:663:in `exec_query'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:1253:in `select'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_statements.rb:18:in

`select_all'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/query_cache.rb:61:in `block in select_all'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/query_cache.rb:75:in `cache_sql'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/query_cache.rb:61:in `select_all'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/calculations.rb:181:in `pluck'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/content_search_controller.rb:755:in `process_repos'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/content_search_controller.rb:89:in `packages'

#2 - 05/23/2014 07:52 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b9e7ba5798001184d9d6aff935d1c465a53f98a6.

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
